package models

type Result3260 struct {
	ErrMsg      string `json:"err_msg"`
	InfRefmsgid string `json:"inf_refmsgid"`
	Infcode     int64  `json:"infcode"`
	Output      struct {
		Data []struct {
			Certno          string  `json:"certno"`
			MdtrtId         string  `json:"mdtrt_id"`
			MdtrtSetlTime   string  `json:"mdtrt_setl_time"`
			SetlSn          string  `json:"setl_sn"`
			MedfeeSumamt    float64 `json:"medfee_sumamt"`
			OptinsPaySumamt float64 `json:"optins_pay_sumamt"`
		} `json:"data"`
		Totalrow int64 `json:"totalrow"`
	} `json:"output"`
	RefmsgTime  string      `json:"refmsg_time"`
	RespondTime string      `json:"respond_time"`
	Signtype    interface{} `json:"signtype"`
	WarnInfo    interface{} `json:"warn_info"`
}

type Result3261 struct {
	Cainfo      interface{} `json:"cainfo"`
	ErrMsg      string      `json:"err_msg"`
	InfRefmsgid string      `json:"inf_refmsgid"`
	Infcode     int64       `json:"infcode"`
	Output      struct {
	} `json:"output"`
	RefmsgTime  string      `json:"refmsg_time"`
	RespondTime string      `json:"respond_time"`
	Signtype    interface{} `json:"signtype"`
	WarnMsg     interface{} `json:"warn_msg"`
}

type CustomData struct {
	Certno          string  `json:"certno"`
	MdtrtId         string  `json:"mdtrt_id"`
	MdtrtSetlTime   string  `json:"mdtrt_setl_time"`
	SetlNo          string  `json:"setl_no"`
	MedfeeSumamt    float64 `json:"medfee_sumamt"`
	OptinsPaySumamt float64 `json:"optins_pay_sumamt"`
}

type Result9001 struct {
	ErrMsg      string `json:"err_msg"`
	InfRefmsgid string `json:"inf_refmsgid"`
	Infcode     int64  `json:"infcode"`
	Output      struct {
		Signinoutb struct {
			SignNo   string `json:"sign_no"`
			SignTime string `json:"sign_time"`
		} `json:"signinoutb"`
	} `json:"output"`
	RefmsgTime  string      `json:"refmsg_time"`
	RespondTime string      `json:"respond_time"`
	Signtype    interface{} `json:"signtype"`
	WarnInfo    interface{} `json:"warn_info"`
}


type Result9001Two struct {
	ErrMsg      string `json:"err_msg"`
	InfRefmsgid string `json:"inf_refmsgid"`
	Infcode     int64  `json:"infcode"`
	Output      struct {
		Signinoutb struct {
			SignNo   string `json:"sign_no"`

		} `json:"signinoutb"`
	} `json:"output"`
	RefmsgTime  string      `json:"refmsg_time"`
	RespondTime string      `json:"respond_time"`
	Signtype    interface{} `json:"signtype"`
	WarnInfo    interface{} `json:"warn_info"`
}
