package models




type HisZuobiaoAdvice struct {
	ID int64 `gorm:"column:id" json:"id" form:"id"`
	AdviceRequestLog string `gorm:"column:advice_request_log" json:"advice_request_log" form:"advice_request_log"`
	AdviceResultLog string `gorm:"column:advice_result_log" json:"advice_result_log" form:"advice_result_log"`
	UserOrgId int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status int64 `gorm:"column:status" json:"status" form:"status"`
	Ctime int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
	PatientId int64 `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	RecordDate int64 `gorm:"column:record_date" json:"record_date" form:"record_date"`
	SettleRequestLog string `gorm:"column:settle_request_log" json:"settle_request_log" form:"settle_request_log"`
	SettleResultLog string `gorm:"column:settle_result_log" json:"settle_result_log" form:"settle_result_log"`
	Cbm01 string `gorm:"column:cbm01" json:"cbm01" form:"cbm01"`
	AdiviceIds string `gorm:"column:adivice_ids" json:"adivice_ids" form:"adivice_ids"`
	Oid int64 `gorm:"column:oid" json:"oid" form:"oid"`
	StartTime           int64   `gorm:"column:start_time" json:"start_time" form:"start_time"`
	EndTime             int64   `gorm:"column:end_time" json:"end_time" form:"end_time"`
	Vaa01 string `gorm:"column:vaa01" json:"vaa01" form:"vaa01"`
	Vaa07 string `gorm:"column:vaa07" json:"vaa07" form:"vaa07"`



}


func (HisZuobiaoAdvice) TableName() string {
	return "his_zuobiao_advice"
}


type CmResult struct {
	HisUserID     int       `gorm:"column:his_user_id;primaryKey"`
	PatientName   string    `gorm:"column:patient_name"`
	ProjectID     int       `gorm:"column:project_id"`
	ProjectName   string    `gorm:"column:project_name"`
	InspectDate   string       `gorm:"column:inspect_date"`
	ItemID        int       `gorm:"column:item_id"`
	ItemName      string    `gorm:"column:item_name"`
	ItemType      int       `gorm:"column:item_type"`
	ItemValue     string    `gorm:"column:item_value"`
	RangeMin      string    `gorm:"column:range_min"`
	RangeMax      string    `gorm:"column:range_max"`
	RangeValue    string    `gorm:"column:range_value"`


	RangeOptions  string    `gorm:"column:range_options"`
	Unit          string    `gorm:"column:unit"`
	State         string       `gorm:"column:state"`
	CTime         string       `gorm:"column:c_time"`
	UTime         string       `gorm:"column:u_time"`
}

// TableName sets the table name for the MedicalRecord model.
func (CmResult) TableName() string {
	return "xk_jy"
}

