package fapiao

import "gdyb/models"

func GetQRCode(config models.FapiaoConfig) (routerAddress string, postData map[string]interface{}) {

	routerAddress = "/tax-api/invoice/auth/get-qrcode/v1"
	postData = map[string]interface{}{
		"taxpayer_id":   config.TaxpayerId,
		"terminal_code": config.TerminalCode,
	}

	return routerAddress, postData
}

func GetQRStatus(auth_id string, config models.FapiaoConfig) (routerAddress string, postData map[string]interface{}) {

	routerAddress = "/tax-api/invoice/auth/query-qrcode-status/v1"
	postData = map[string]interface{}{
		"taxpayer_id":   config.TaxpayerId,
		"terminal_code": config.TerminalCode,
		"auth_id":       auth_id,
	}

	return routerAddress, postData
}
