package fapiao

import "gdyb/models"

func Query(seller_taxpayer_num string, order_sn string, order_id string) (routerAddress string, postData map[string]interface{}) {

	routerAddress = "/tax-api/invoice/query/v1"

	postData = map[string]interface{}{
		"seller_taxpayer_num": seller_taxpayer_num,
		"order_sn":            order_sn,
		"order_id":            order_id,
		"is_red":              0,
	}

	return routerAddress, postData
}

func QueryStock(config models.FapiaoConfig) (routerAddress string, postData map[string]interface{}) {
	routerAddress = "/tax-api/invoice/query-stock/v1"
	postData = map[string]interface{}{
		"taxpayer_id":       config.TaxpayerId,
		"terminal_code":     config.TerminalCode,
		"invoice_type_code": "026",
	}
	return routerAddress, postData
}
