package models

type AppVersion struct {
	ID      int64  `gorm:"column:id" json:"id" form:"id"`
	AppType int64  `gorm:"column:app_type" json:"app_type" form:"app_type"`
	Details string `gorm:"column:details" json:"details" form:"details"`
	Version string `gorm:"column:version" json:"version" form:"version"`
	Ctime   int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime   int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status  int64  `gorm:"column:status" json:"status" form:"status"`
	Url     string `gorm:"column:url" json:"url" form:"url"`
}

func (AppVersion) TableName() string {
	return "xt_app_version"
}
