package models

type DataUploadConfig struct {
	ID             int64  `gorm:"column:id" json:"id"`
	OrgId          int64  `gorm:"column:org_id" json:"org_id"`
	ProvinceId     int64  `gorm:"column:province_id" json:"province_id"`
	CityId         int64  `gorm:"column:city_id" json:"city_id"`
	GatewayAddress string `gorm:"column:gateway_address" json:"gateway_address"`
	AppId          string `gorm:"column:app_id" json:"app_id"`
	Key            string `gorm:"column:key" json:"key"`
	Status         int64  `gorm:"column:status" json:"status"`
	CreateTime     int64  `gorm:"column:create_time" json:"create_time"`
	ModifyTime     int64  `gorm:"column:modify_time" json:"modify_time"`
	TimeQuantum    int64  `gorm:"column:time_quantum" json:"time_quantum"`
	ConfigType     int64  `gorm:"column:config_type" json:"config_type"`
}

func (DataUploadConfig) TableName() string {
	return "data_upload_config"
}

type DockingStatus struct {
	ID          int64 `gorm:"column:id" json:"id"`
	DockingType int64 `gorm:"column:docking_type" json:"docking_type"`
	ProvinceId  int64 `gorm:"column:province_id" json:"province_id"`
	CityId      int64 `gorm:"column:city_id" json:"city_id"`
	Status      int64 `gorm:"column:status" json:"status"`
	Ctime       int64 `gorm:"column:ctime" json:"ctime"`
	Mtime       int64 `gorm:"column:mtime" json:"mtime"`
}

func (DockingStatus) TableName() string {
	return "docking_status"
}
