package models

type District struct {
	ID        int64  `gorm:"column:id" json:"id" form:"id"`
	Name      string `gorm:"column:name" json:"name" form:"name"`
	Level     int64  `gorm:"column:level" json:"level" form:"level"`
	Upid      int64  `gorm:"column:upid" json:"upid" form:"upid"`
	Path      string `gorm:"column:path" json:"path" form:"path"`
	Namepath  string `gorm:"column:namepath" json:"namepath" form:"namepath"`
	Initial   string `gorm:"column:initial" json:"initial" form:"initial"`
	Longitude string `gorm:"column:longitude" json:"longitude" form:"longitude"`
	Latitude  string `gorm:"column:latitude" json:"latitude" form:"latitude"`
	Adcode    int64  `gorm:"column:adcode" json:"adcode" form:"adcode"`
}

func (District) TableName() string {
	return "sgj_user_district"
}
