package models

type GdybPsnRecord struct {
	ID            int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId     int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId     int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	PsnNo         string `gorm:"column:psn_no" json:"psn_no" form:"psn_no"`
	Ctime         int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime         int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status        int64  `gorm:"column:status" json:"status" form:"status"`
	IsCancel      int64  `gorm:"column:is_cancel" json:"is_cancel" form:"is_cancel"`
	TrtDclaDetlSn string `gorm:"column:trt_dcla_detl_sn" json:"trt_dcla_detl_sn" form:"trt_dcla_detl_sn"`
	DoctorId      int64  `gorm:"column:doctor_id" json:"doctor_id" form:"doctor_id"`
	DepartmentId  int64  `gorm:"column:department_id" json:"department_id" form:"department_id"`
	Insutype      string `gorm:"column:insutype" json:"insutype" form:"insutype"`
	SickType      int64  `gorm:"column:sick_type" json:"sick_type" form:"sick_type"`
	OrgName       string `gorm:"column:org_name" json:"org_name" form:"org_name"`
}

func (GdybPsnRecord) TableName() string {
	return "gdyb_psn_record"
}

type GdybPsnNcdsRecord struct {
	ID            int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId     int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId     int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	PsnNo         string `gorm:"column:psn_no" json:"psn_no" form:"psn_no"`
	Ctime         int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime         int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status        int64  `gorm:"column:status" json:"status" form:"status"`
	IsCancel      int64  `gorm:"column:is_cancel" json:"is_cancel" form:"is_cancel"`
	TrtDclaDetlSn string `gorm:"column:trt_dcla_detl_sn" json:"trt_dcla_detl_sn" form:"trt_dcla_detl_sn"`
	DoctorId      int64  `gorm:"column:doctor_id" json:"doctor_id" form:"doctor_id"`
	DepartmentId  int64  `gorm:"column:department_id" json:"department_id" form:"department_id"`
	Insutype      string `gorm:"column:insutype" json:"insutype" form:"insutype"`
	SickType      int64  `gorm:"column:sick_type" json:"sick_type" form:"sick_type"`
	OrgName       string `gorm:"column:org_name" json:"org_name" form:"org_name"`
}

func (GdybPsnNcdsRecord) TableName() string {
	return "gdyb_psn_ncds_record"
}

type HisYidiClearRecord struct {
	ID        int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime     int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime     int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status    int64  `gorm:"column:status" json:"status" form:"status"`
	MsgId     string `gorm:"column:msg_id" json:"msg_id" form:"msg_id"`
}

func (HisYidiClearRecord) TableName() string {
	return "his_yidi_clear_record"
}
