package models

type PatientDtos struct {
	Poolarea    string `json:"poolarea"`
	CurrMdtrtID string `json:"curr_mdtrt_id"`
	PatnID      string `json:"patn_id"`
	PatnName    string `json:"patn_name"`
	Gend        string `json:"gend"`
	Brdy        string `json:"brdy"`
}
type FsiEncounterDtos struct {
	OutSetlFlag      string `json:"out_setl_flag"`
	AdmDate          string `json:"adm_date"`
	DscgDeptName     string `json:"dscg_dept_name"`
	DscgDeptCodg     string `json:"dscg_dept_codg"`
	SetlTotlnum      string `json:"setl_totlnum"`
	DscgDate         string `json:"dscg_date"`
	Wardno           string `json:"wardno"`
	MdtrtID          string `json:"mdtrt_id"`
	AdmDeptName      string `json:"adm_dept_name"`
	AdmDeptCodg      string `json:"adm_dept_codg"`
	OwnpayAmt        string `json:"ownpay_amt"`
	MedinsType       string `json:"medins_type"`
	MedinsName       string `json:"medins_name"`
	MedMdtrtType     string `json:"med_mdtrt_type"`
	HifpPayamt       string `json:"hifp_payamt"`
	MaAmt            string `json:"ma_amt"`
	DscgMainDiseName string `json:"dscg_main_dise_name"`
	DscgMainDiseCodg string `json:"dscg_main_dise_codg"`
	MedinsAdmdvs     string `json:"medins_admdvs"`
	AcctPayamt       string `json:"acct_payamt"`
	MedType          string `json:"med_type"`
	Insutype         string `json:"insutype"`
	DrCodg           string `json:"dr_codg"`
	SelfpayAmt       string `json:"selfpay_amt"`
	ReimFlag         string `json:"reim_flag"`
	MedfeeSumamt     string `json:"medfee_sumamt"`
	MedinsLv         string `json:"medins_lv"`
	MedinsID         string `json:"medins_id"`
	WardareaCodg     string `json:"wardarea_codg"`
	Bedno            string `json:"bedno"`
	MatnStas         string `json:"matn_stas"`
}
type FsiDiagnoseDtos struct {
	InoutDiseType string `json:"inout_dise_type"`
	DiseID        string `json:"dise_id"`
	DiasSrtNo     string `json:"dias_srt_no"`
	DiseName      string `json:"dise_name"`
	DiseDate      string `json:"dise_date"`
	DiseCodg      string `json:"dise_codg"`
	MaindiseFlag  string `json:"maindise_flag"`
}
type FsiOrderDtos struct {
	DrordBhvr       string `json:"drord_bhvr"`
	Cnt             string `json:"cnt"`
	HilistLv        string `json:"hilist_lv"`
	Sumamt          string `json:"sumamt"`
	Lv2HospItemPric string `json:"lv2_hosp_item_pric"`
	OwnpayAmt       string `json:"ownpay_amt"`
	HilistType      string `json:"hilist_type"`
	HilistPric      string `json:"hilist_pric"`
	HilistName      string `json:"hilist_name"`
	HilistMemo      string `json:"hilist_memo"`
	HilistCode      string `json:"hilist_code"`
	SpecUnt         string `json:"spec_unt"`
	CurrDrordFlag   string `json:"curr_drord_flag"`
	DrordDeptName   string `json:"drord_dept_name"`
	DrordDeptCodg   string `json:"drord_dept_codg"`
	Grpno           string `json:"grpno"`
	HosplistName    string `json:"hosplist_name"`
	HosplistCode    string `json:"hosplist_code"`
	ChrgType        string `json:"chrg_type"`
	DrordStopDate   string `json:"drord_stop_date"`
	DrordDrName     string `json:"drord_dr_name"`
	DrordDrCodg     string `json:"drord_dr_codg"`
	HilistDosform   string `json:"hilist_dosform"`
	Lv3HospItemPric string `json:"lv3_hosp_item_pric"`
	SelfpayAmt      string `json:"selfpay_amt"`
	LongDrordFlag   string `json:"long_drord_flag"`
	DrordBegnDate   string `json:"drord_begn_date"`
	Spec            string `json:"spec"`
	Lv1HospItemPric string `json:"lv1_hosp_item_pric"`
	Rxno            string `json:"rxno"`
	HosplistDosform string `json:"hosplist_dosform"`
	Pric            string `json:"pric"`
	RxID            string `json:"rx_id"`
	DrordDrProfttl  string `json:"drord_dr_profttl"`
}
type PublicParams struct {
	RequestUrl     string
	AccessKey      string
	SecretKey      string
	FixmedinsName  string
	OpterName      string
	FixmedinsCode  string
	InsuplcAdmdvs  string
	MdtrtareaAdmvs string
	Cainfo         string
}

type FsiOperationDtosData struct {
	Setl_list_oprn_id string
	Oprn_code         string
	Oprn_name         string
	Main_oprn_flag    string
	Oprn_date         string
	Anst_way          string
	Oper_dr_name      string
	Oper_dr_code      string
	Anst_dr_name      string
	Anst_dr_code      string
}
