package models

type HisHospitalCheckRecord struct {
	ID                   int64  `gorm:"column:id" json:"id" form:"id"`
	Name                 string `gorm:"column:name" json:"name" form:"name"`
	MedicalTreatmentType int64  `gorm:"column:medical_treatment_type" json:"medical_treatment_type" form:"medical_treatment_type"`
	RecordDate           int64  `gorm:"column:record_date" json:"record_date" form:"record_date"`
	IdCardNo             string `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	AdminUserId          int64  `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	Departments          int64  `gorm:"column:departments" json:"departments" form:"departments"`
	UserOrgId            int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status               int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime                int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	PatientId            int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Number               string `gorm:"column:number" json:"number" form:"number"`
	Doctor               int64  `gorm:"column:doctor" json:"doctor" form:"doctor"`
	PsnNo                string `gorm:"column:psn_no" json:"psn_no" form:"psn_no"`
	PsnCertType          string `gorm:"column:psn_cert_type" json:"psn_cert_type" form:"psn_cert_type"`
	Certno               string `gorm:"column:certno" json:"certno" form:"certno"`
	PsnName              string `gorm:"column:psn_name" json:"psn_name" form:"psn_name"`
	Gend                 string `gorm:"column:gend" json:"gend" form:"gend"`
	Naty                 string `gorm:"column:naty" json:"naty" form:"naty"`
	MedType              int64  `gorm:"column:med_type" json:"med_type" form:"med_type"`
	Brdy                 string `gorm:"column:brdy" json:"brdy" form:"brdy"`
	Iinfo                string `gorm:"column:iinfo" json:"iinfo" form:"iinfo"`
	Idetinfo             string `gorm:"column:idetinfo" json:"idetinfo" form:"idetinfo"`
	IptOtpNo             string `gorm:"column:ipt_otp_no" json:"ipt_otp_no" form:"ipt_otp_no"`
	AdmBed               int64  `gorm:"column:adm_bed" json:"adm_bed" form:"adm_bed"`
	IdCardType           int64  `gorm:"column:id_card_type" json:"id_card_type" form:"id_card_type"`
	Diagnosis            string `gorm:"column:diagnosis" json:"diagnosis" form:"diagnosis"`
	SickType             int64  `gorm:"column:sick_type" json:"sick_type" form:"sick_type"`
	MdtrtCertType        string `gorm:"column:mdtrt_cert_type" json:"mdtrt_cert_type" form:"mdtrt_cert_type"`
	InHosptialTime       string `gorm:"column:in_hosptial_time" json:"in_hosptial_time" form:"in_hosptial_time"`
	OutHosptialTime      string `gorm:"column:out_hosptial_time" json:"out_hosptial_time" form:"out_hosptial_time"`
	InHospitalStatus     int64  `gorm:"column:in_hospital_status" json:"in_hospital_status" form:"in_hospital_status"`
	Certificates         int64  `gorm:"column:certificates" json:"certificates" form:"certificates"`
	InsutypeType         string `gorm:"column:insutype_type" json:"insutype_type" form:"insutype_type"`
	OutHospitalStatus    int64  `gorm:"column:out_hospital_status" json:"out_hospital_status" form:"out_hospital_status"`
	OutWay               int64  `gorm:"column:out_way" json:"out_way" form:"out_way"`
	Phone                string `gorm:"column:phone" json:"phone" form:"phone"`
	BalanceAccountsType  int64  `gorm:"column:balance_accounts_type" json:"balance_accounts_type" form:"balance_accounts_type"`
	PsnType              int64  `gorm:"column:psn_type" json:"psn_type" form:"psn_type"`
	InsuplcAdmdvs        string `gorm:"column:insuplc_admdvs" json:"insuplc_admdvs" form:"insuplc_admdvs"`
}

func (HisHospitalCheckRecord) TableName() string {
	return "his_hospital_check_record"
}
