package models

type FsiOwnpayPatnFeeListDDTO struct {
	AcordDeptCodg    string `json:"acord_dept_codg"`
	AcordDeptName    string `json:"acord_dept_name"`
	AcordDrCode      string `json:"acord_dr_code"`
	AcordDrName      string `json:"acord_dr_name"`
	BilgDeptCodg     string `json:"bilg_dept_codg"`
	BilgDeptName     string `json:"bilg_dept_name"`
	BilgDrCode       string `json:"bilg_dr_code"`
	BilgDrName       string `json:"bilg_dr_name"`
	BkkpSn           string `json:"bkkp_sn"`
	Cnt              string `json:"cnt"`
	DetItemFeeSumamt string `json:"det_item_fee_sumamt"`
	DscgTkdrugFlag   string `json:"dscg_tkdrug_flag"`
	EtipFlag         string `json:"etip_flag"`
	EtipHospCode     string `json:"etip_hosp_code"`
	FeeOcurTime      string `json:"fee_ocur_time"`
	FixmedinsCode    string `json:"fixmedins_code"`
	FixmedinsMdtrtID string `json:"fixmedins_mdtrt_id"`
	FixmedinsName    string `json:"fixmedins_name"`
	FulamtOwnpayAmt  string `json:"fulamt_ownpay_amt"`
	InscpAmt         string `json:"inscp_amt"`
	MedChrgitmType   string `json:"med_chrgitm_type"`
	MedListCodg      string `json:"med_list_codg"`
	MedType          string `json:"med_type"`
	MedcWayDscr      string `json:"medc_way_dscr "`
	MedinsListCodg   string `json:"medins_list_codg"`
	MedinsListName   string `json:"medins_list_name"`
	Memo             string `json:"memo"`
	OverlmtSelfpay   string `json:"overlmt_selfpay"`
	PrdDays          string `json:"prd_days"`
	PreselfpayAmt    string `json:"preselfpay_amt"`
	Pric             string `json:"pric"`
	Prodname         string `json:"prodname"`
	SinDosDscr       string `json:"sin_dos_dscr "`
	TcmdrugUsedWay   string `json:"tcmdrug_used_way"`
	UsedFrquDscr     string `json:"used_frqu_dscr "`
}
type Struct4201A struct {
	Fopfd []FsiOwnpayPatnFeeListDDTO
}
type OwnPayPatnDiagListD struct {
	DiagCode      string `json:"diag_code"`
	DiagDept      string `json:"diag_dept"`
	DiagDrCode    string `json:"diag_dr_code"`
	DiagDrName    string `json:"diag_dr_name"`
	DiagName      string `json:"diag_name"`
	DiagSrtNo     string `json:"diag_srt_no"`
	DiagTime      string `json:"diag_time"`
	DiagType      string `json:"diag_type"`
	InoutDiagType string `json:"inout_diag_type"`
	MaindiagFlag  string `json:"maindiag_flag"`
	ValiFlag      string `json:"vali_flag"`
}

type Struct4203 struct {
	CpltFlag         string `json:"cplt_flag"`
	FixmedinsCode    string `json:"fixmedins_code"`
	FixmedinsMdtrtID string `json:"fixmedins_mdtrt_id"`
}

type Struct4204 struct {
	FixmedinsCode    string `json:"fixmedins_code"`
	FixmedinsMdtrtID string `json:"fixmedins_mdtrt_id"`
}

type Struct4205 struct {
	Diseinfo struct {
		DiagCode   string `json:"diag_code"`
		DiagDept   string `json:"diag_dept"`
		DiagDrCode string `json:"diag_dr_code"`
		DiagDrName string `json:"diag_dr_name"`
		DiagName   string `json:"diag_name"`
		DiagSrtNo  string `json:"diag_srt_no"`
		DiagTime   string `json:"diag_time"`
		DiagType   string `json:"diag_type"`
		ValiFlag   string `json:"vali_flag"`
	} `json:"diseinfo"`
	Feedetail []struct {
		AcordDeptCodg    string `json:"acord_dept_codg"`
		AcordDeptName    string `json:"acord_dept_name"`
		AcordDrCode      string `json:"acord_dr_code"`
		AcordDrName      string `json:"acord_dr_name"`
		BilgDeptCodg     string `json:"bilg_dept_codg"`
		BilgDeptName     string `json:"bilg_dept_name"`
		BilgDrCode       string `json:"bilg_dr_code"`
		BilgDrName       string `json:"bilg_dr_name"`
		BkkpSn           string `json:"bkkp_sn"`
		Cnt              string `json:"cnt"`
		DetItemFeeSumamt string `json:"det_item_fee_sumamt"`
		DscgTkdrugFlag   string `json:"dscg_tkdrug_flag"`
		EtipFlag         string `json:"etip_flag"`
		EtipHospCode     string `json:"etip_hosp_code"`
		FeeOcurTime      string `json:"fee_ocur_time"`
		FixmedinsCode    string `json:"fixmedins_code"`
		FixmedinsMdtrtID string `json:"fixmedins_mdtrt_id"`
		FixmedinsName    string `json:"fixmedins_name"`
		FulamtOwnpayAmt  string `json:"fulamt_ownpay_amt"`
		InscpAmt         string `json:"inscp_amt"`
		MedChrgitmType   string `json:"med_chrgitm_type"`
		MedListCodg      string `json:"med_list_codg"`
		MedType          string `json:"med_type"`
		MedcWayDscr      string `json:"medc_way_dscr "`
		MedinsListCodg   string `json:"medins_list_codg"`
		MedinsListName   string `json:"medins_list_name"`
		Memo             struct {
			HospApprFlag string `json:"hosp_appr_flag"`
			InvoiceNo    string `json:"invoice_no"`
			Memo         string `json:"memo"`
		} `json:"memo"`
		OverlmtSelfpay string `json:"overlmt_selfpay"`
		PrdDays        string `json:"prd_days"`
		PreselfpayAmt  string `json:"preselfpay_amt"`
		Pric           string `json:"pric"`
		Prodname       string `json:"prodname"`
		SinDosDscr     string `json:"sin_dos_dscr "`
		TcmdrugUsedWay string `json:"tcmdrug_used_way"`
		UsedFrquDscr   string `json:"used_frqu_dscr "`
	} `json:"feedetail"`
	Mdtrtinfo struct {
		Addr             string `json:"addr"`
		Age              string `json:"age"`
		Begntime         string `json:"begntime"`
		BirctrlMatnDate  string `json:"birctrl_matn_date"`
		BirctrlType      string `json:"birctrl_type"`
		Brdy             string `json:"brdy"`
		Certno           string `json:"certno"`
		ConerName        string `json:"coner_name"`
		DiseCodg         string `json:"dise_codg"`
		DiseName         string `json:"dise_name"`
		ElecBillChkcode  string `json:"elec_bill_chkcode"`
		ElecBillCode     string `json:"elec_bill_code"`
		ElecBillnoCode   string `json:"elec_billno_code"`
		Endtime          string `json:"endtime"`
		ExpContent       string `json:"exp_content"`
		FixmedinsCode    string `json:"fixmedins_code"`
		FixmedinsMdtrtID string `json:"fixmedins_mdtrt_id"`
		FixmedinsName    string `json:"fixmedins_name"`
		Gend             string `json:"gend"`
		GesoVal          string `json:"geso_val"`
		MainCondDscr     string `json:"main_cond_dscr"`
		MatnType         string `json:"matn_type"`
		MedType          string `json:"med_type"`
		Naty             string `json:"naty"`
		PsnCertType      string `json:"psn_cert_type"`
		PsnName          string `json:"psn_name"`
		Tel              string `json:"tel"`
	} `json:"mdtrtinfo"`
}

type Struct4206 struct {
	FixmedinsCode    string `json:"fixmedins_code"`
	FixmedinsMdtrtID string `json:"fixmedins_mdtrt_id"`
}

type Struct4207 struct {
	FixmedinsCode    string `json:"fixmedins_code"`
	FixmedinsMdtrtID string `json:"fixmedins_mdtrt_id"`
	PageNum          string `json:"page_num"`
	PageSize         string `json:"page_size"`
}

type Struct4208 struct {
	Begntime       string `json:"begntime"`
	Certno         string `json:"certno"`
	CpltFlag       string `json:"cplt_flag"`
	ElecBillnoCode string `json:"elec_billno_code"`
	Endtime        string `json:"endtime"`
	MedType        string `json:"med_type"`
	MedfeeSumamt   string `json:"medfee_sumamt"`
	PageNum        string `json:"page_num"`
	PageSize       string `json:"page_size"`
	PsnCertType    string `json:"psn_cert_type"`
	PsnName        string `json:"psn_name"`
}

type Struct4209 struct {
	FixmedinsCode    string `json:"fixmedins_code"`
	FixmedinsMdtrtID string `json:"fixmedins_mdtrt_id"`
	PageNum          string `json:"page_num"`
	PageSize         string `json:"page_size"`
}

type Struct4202 struct {
	ODiagListD       []OwnPayPatnDiagListD
	OwnPayPatnMdtrtD struct {
		Addr             string `json:"addr"`
		AdmBed           string `json:"adm_bed"`
		AdmDeptCodg      string `json:"adm_dept_codg"`
		AdmDeptName      string `json:"adm_dept_name"`
		AdmDiagDscr      string `json:"adm_diag_dscr"`
		Age              string `json:"age"`
		Begntime         string `json:"begntime"`
		BirctrlMatnDate  string `json:"birctrl_matn_date"`
		BirctrlType      string `json:"birctrl_type"`
		Brdy             string `json:"brdy"`
		Certno           string `json:"certno"`
		ChfpdrCode       string `json:"chfpdr_code"`
		ChfpdrName       string `json:"chfpdr_name"`
		ConerName        string `json:"coner_name"`
		CopFlag          string `json:"cop_flag"`
		DieDate          string `json:"die_date"`
		DiseName         string `json:"dise_name"`
		DiseNo           string `json:"dise_no"`
		DscgBed          string `json:"dscg_bed"`
		DscgDeptCodg     string `json:"dscg_dept_codg"`
		DscgDeptName     string `json:"dscg_dept_name"`
		DscgMaindiagCode string `json:"dscg_maindiag_code"`
		DscgMaindiagName string `json:"dscg_maindiag_name"`
		DscgWay          string `json:"dscg_way"`
		ElecBillChkcode  string `json:"elec_bill_chkcode"`
		ElecBillCode     string `json:"elec_bill_code"`
		ElecBillnoCode   string `json:"elec_billno_code"`
		Endtime          string `json:"endtime"`
		ExpContent       string `json:"exp_content"`
		Fetts            string `json:"fetts"`
		FetusCnt         string `json:"fetus_cnt"`
		FixmedinsCode    string `json:"fixmedins_code"`
		FixmedinsMdtrtID string `json:"fixmedins_mdtrt_id"`
		FixmedinsName    string `json:"fixmedins_name"`
		FpscNo           string `json:"fpsc_no"`
		Gend             string `json:"gend"`
		GesoVal          string `json:"geso_val"`
		InhospStas       string `json:"inhosp_stas"`
		IptDays          string `json:"ipt_days"`
		IptOtpNo         string `json:"ipt_otp_no"`
		LatechbFlag      string `json:"latechb_flag"`
		MainCondDscr     string `json:"main_cond_dscr"`
		MatnType         string `json:"matn_type"`
		MedType          string `json:"med_type"`
		MedfeeSumamt     string `json:"medfee_sumamt"`
		Medrcdno         string `json:"medrcdno"`
		Memo             string `json:"memo"`
		Naty             string `json:"naty"`
		OprnOprtCode     string `json:"oprn_oprt_code"`
		OprnOprtName     string `json:"oprn_oprt_name"`
		OptTime          string `json:"opt_time"`
		OpterID          string `json:"opter_id"`
		OpterName        string `json:"opter_name"`
		OtpDiagInfo      string `json:"otp_diag_info"`
		PretFlag         string `json:"pret_flag"`
		PreyTime         string `json:"prey_time"`
		PsnCertType      string `json:"psn_cert_type"`
		PsnName          string `json:"psn_name"`
		Tel              string `json:"tel"`
		TrafDeptFlag     string `json:"traf_dept_flag"`
		ValiFlag         string `json:"vali_flag"`
		WardareaBed      string `json:"wardarea_bed"`
	} `json:"ownPayPatnMdtrtD"`
}
